Get Mobile Money Providers
curl --request GET \
--url https://api.example.com/api/billing/payments/providers/import requests
url = "https://api.example.com/api/billing/payments/providers/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/billing/payments/providers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"providers": [
{
"id": "mpesa",
"name": "M-Pesa",
"logo_url": "https://example.com/mpesa-logo.png",
"is_active": true,
"supported_countries": ["TZ", "KE"]
},
{
"id": "tigopesa",
"name": "Tigo Pesa",
"logo_url": "https://example.com/tigo-logo.png",
"is_active": true,
"supported_countries": ["TZ"]
}
]
}
Billing & Payments
Get Mobile Money Providers
GET
/
api
/
billing
/
payments
/
providers
/
Get Mobile Money Providers
Get list of available mobile money payment providers.
Requires authentication. Include the access token in the Authorization header.
Success Response (200)
boolean
Operation success status
array
Array of payment provider objects
string
Provider ID
string
Provider name
string
Provider logo URL
boolean
Whether provider is active
array
Array of supported country codes
{
"success": true,
"providers": [
{
"id": "mpesa",
"name": "M-Pesa",
"logo_url": "https://example.com/mpesa-logo.png",
"is_active": true,
"supported_countries": ["TZ", "KE"]
},
{
"id": "tigopesa",
"name": "Tigo Pesa",
"logo_url": "https://example.com/tigo-logo.png",
"is_active": true,
"supported_countries": ["TZ"]
}
]
}
⌘I